<?

$thisprog="mailuser.php";
require("adminglobal.php");
include("datafile/config.php");

if ($action!="send") {

print <<<EOT
  <tr><td bgcolor=#80809b colspan=2><font color=#FFFFFF>
  <b>欢迎来到论坛管理中心 / Email 群发</b>
  </td></tr>
  <tr>
  <td bgcolor=#EEEEEE valign=middle align=center colspan=2>
  <font color=#333333><b>Email 群发</b>
  </td></tr>
               
  <form action="$thisprog" method="post">
  <input type=hidden name="action" value="process">
               
  <tr>
  <td bgcolor=#FFFFFF valign=middle colspan=2>
<b>功能说明：</b><br><br>
$tab_top
  <font color=#000000>如非必要，请不要利用本程序乱发群体邮件，不然你被人暴K可别找我啊~~<br>
  PS： 使用本程序前，确定用户列表已经存在(已经使用过统计用户数目/用户列表功能)
$tab_bottom
  </td>
  </tr>
 <tr bgcolor="#FFFFFF" valign=middle>
  <td width="20%" align=right><b>每批发送个数：</b></td>
  <td width="80%"><input type="text" value=100 name="pertime"></td>
 </tr>
 <tr bgcolor="#FFFFFF" valign=middle>
  <td width="20%" align=right><b>主题：</b></td>
  <td width="80%"><input type="text" name="subject"></td>
 </tr>
 <tr bgcolor="#FFFFFF" valign=middle>
  <td width="20%" align=right><b>From：</b></td>
  <td width="80%"><input type="text" value="$admin_email" name="From"></td>
 </tr>
 <tr bgcolor="#FFFFFF" valign=top>
  <td align=right><b>内容：</b></td>
  <td><textarea size=20 name="text" cols="60" rows="10">你好，\$username</textarea></td>
 </tr>
  <tr>
  <td bgcolor=#FFFFFF valign=middle colspan=2>
$tab_top
  <b>你可以在邮件内容中使用 \$username ， \$password ， \$email 三个变量</b><br>
  什么？不会用？ faint........
$tab_bottom
  </td>
  </tr>
 <tr> 
  <td colspan="2" align="center" width="100%" bgcolor=#EEEEEE>
   <SELECT name="sendto" style="HEIGHT: 22px; WIDTH: 148px"> 
   <OPTION selected value="members">所有注册用户</OPTION>
   <OPTION value="moderators">论坛所有版主</OPTION>
   </SELECT>&nbsp;
   <input type=hidden name="action" value="send">
   <input type="submit" value="提 交">　<input type="reset" value="重 置">
  </td>
 </tr>
</form>
</table></td></tr></table>
  </td></tr></table></body></html>
EOT;
exit;
}
elseif ($action=="send") {
  	print "<tr><td bgcolor=#80809b colspan=2><font face=宋体 color=#FFFFFF>
		<b>欢迎来到论坛管理中心 / Email 群发</b>
		</td></tr>";

if (empty($subject) || empty($text)) {
print <<<EOT
		<tr>
		<td bgcolor=#FFFFFF valign=middle colspan=2>
		<center><b>请填入完整信息，主题和内容不能为空！！</b></center><br><br>
		<br><br><br><center><b><a href='javascript:history.go(-1)'>返回修改</a></b></center>
		</td></tr></table></body></html>
EOT;
exit;
}

if (empty($pertime)) $pertime=100;
if (empty($step)) $step=1;
if (empty($sendto)) $sendto='members';

if ($sendto=='members') $userlist=file('datafile/userlist.php');
elseif ($sendto=='moderators') {
	if (file_exists('datafile/admin.php')) {
	  $adminlist=file('datafile/admin.php');
	  $count=count($adminlist);
	   for ($i=0; $i<$count; $i++) {
		$detail=explode("|", trim($adminlist[$i]));
		$userlist[]=$detail[1];
	   }
	}
	$userlist = array_unique ($userlist);
}

$count=count($userlist);

if ($count>($step*$pertime)) {$lastpage=0; $max=$step*$pertime;}
	else {$lastpage=1; $max=$count; }
$min=($step-1)*$pertime;

for ($i=$min; $i<$max; $i++) {
	$usertosend=trim($userlist[$i]);
	$memberfile="$id_unique/$usertosend";
	list($currentusername,$currentpassword,$usericon,$currentuseremail,$nouse)
	= explode("|",readfromfile($memberfile));

	$sendmessage=$text;
	$sendmessage=str_replace("\$email",$currentuseremail,$sendmessage);
	$sendmessage=str_replace("\$username",$currentusername,$sendmessage);
	$sendmessage=str_replace("\$password",$currentpassword,$sendmessage);
//echo $currentuseremail."<br>";echo $sendmessage."<br>";echo $currentusername."<br>";
	mail($currentuseremail,$subject,$sendmessage,"From: $From");
}

$step++;

if ($lastpage) echo "
<tr>
<td bgcolor=#EEEEEE colspan=2>
<center><b>发送成功</b></center>
</td>
</tr>
<tr bgcolor=FFFFFF>
<td colspan=2>
<br><br><br>
一共发送了 $count 个用户
</td></tr></table></body></html>";

else print <<<EOT
<tr>
<td bgcolor=#EEEEEE colspan=2>
<center><b>正在发送</b></center>
</td>
</tr>
<form action="$thisprog" method=POST>
<tr bgcolor=FFFFFF>
<td colspan=2>
<input type=hidden name=step value="$step">
<input type=hidden name=text value="$text">
<input type=hidden name=pertime value="$pertime">
<input type=hidden name=subject value="$subject">
<input type=hidden name=sendto value="$sendto">
<input type=hidden name=From value="$From">
<input type=hidden name=action value="send">
一共要发送 $count 个用户，目前已经发送了 $i 个用户<br><br><br>
<input type=submit value="点击这里进行下一批用户的邮件发送">
</td></tr></form></table></body></html>
EOT;
exit;

}